:root {
	--font-color: #000000;
	--bg-color: #ffffff;
	--link-color: #0000ff;
	--card-image-wrapper-background:#f1f5f9;
	--card-bg-color: rgb(220,220,220);
	--card-title-color: #1e293b;
	--card-desc-color: #64748b;
	--card-border: 1px solid #e2e8f0;
	--card-box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.05);
	--card-hover-box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1);
	--card-bg-img: linear-gradient(
		45deg,
		#f8fafc 0%,
		#e0f2fe 40%,
		#bae6fd 75%,
		#7dd3fc 100%
	);
}
[data-theme="dark"] {
	--font-color: #ffffff;
	--bg-color: #000000;
	--link-color: rgb(20,180,255);
	--card-image-wrapper-background:#111519;
	--card-bg-color: #0f0f0f;
	--card-title-color: #0e090b;
	--card-desc-color: #64748b;
	--card-border: 1px solid #353637;
	--card-box-shadow: 0 4px 6px -1px rgba(255,255,255, 0.05);
	--card-hover-box-shadow: 0 10px 15px -3px rgba(255,255,255, 0.1);
	--card-bg-img : linear-gradient(
		140deg,
		#050515 0%,
		#120a2a 35%,
		#0c0740 70%,
		#0d0308 100%
	);
}

body {
	overflow : scroll;
	background : var(--bg-color);
	color : var(--font-color);
	font-weight:600;
	font-family: 'Courier New', monospace;
}

/* desktop chrome inputs have white background black font.  mobile chrome inputs have clear background black font. */
input {
	background : var(--bg-color);
	color : var(--font-color);
}

a:link, a:visited, a:hover, a:active {
	color: var(--link-color);
}

img {
	border:1px solid var(--font-color);
	width:32px;
	image-rendering: smooth;	/* it's not making a difference ... why can't CSS do linear_mipmap_linear resizes, as its hw rasterizer is capable of ... */
}

#toggle-darkmode {
	position:fixed;
	top:5px;
	right:5px;
	padding:3px;
	border:1px solid var(--font-color);
	z-index:9999;
	text-decoration:none;
	border-radius: 20px;
	cursor:pointer;
}

div[data-preview-nopic] {
	display:inline-block;
	border:1px solid var(--font-color);
	padding:5px;
	/*width:32px;*/
	/*height:32px;*/
}


.card-grid {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
	gap: 24px;
	padding: 20px;
	font-family: system-ui, -apple-system, sans-serif;
}

.card {
	position: relative;
	background : var(--card-bg-color);
	border: var(--card-border);
	border-radius: 12px;
	overflow: hidden;
	display: flex;
	flex-direction: column;
	box-shadow: var(--card-box-shadow);
	transition: transform 0.2s ease, box-shadow 0.2s ease;
	background-image : var(--card-bg-img);
}

.card:focus-within,
.card:hover {
	transform: translateY(-4px);
	box-shadow: var(--card-hover-box-shadow);
}

.card-image-wrapper {
	position: relative;
	width: 100%;
	aspect-ratio: 1.91 / 1;
	background: var(--card-image-wrapper-background);
	overflow: hidden;
}

.card-image {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.card-content {
	padding: 20px;
	display: flex;
	flex-direction: column;
	flex-grow: 1;
}

.card-tag {
	color : var(--font-color);
	align-self: flex-start;
	font-size: 0.65rem;
	padding: 1px;
	margin-bottom: 8px;
}

/* now if you want to do custom styles per tag ...
.tag-webgl {
	background: #fef3c7;
	color: #b45309;
}
*/

.main-card-link {
	color: var(--card-title-color);
	text-decoration: none;
	outline: none;
}

.main-card-link::after {
	content: "";
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	z-index: 1;
}

.card-title {
	font-size: 1.25rem;
	font-weight: 600;
	color: var(--card-title-color);
	margin: 0 0 8px 0;
}

.card-description {
	font-size: 0.95rem;
	color: var(--card-desc-color);
	line-height: 1.5;
	margin: 0 0 20px 0;
}
